KDESU(1)

NAME
kdesu - Esegue un programma con privilegi elevati

SYNOPSIS

kdesu [-c comando] [-d] [-f file] [-i nome icona] [-n] [-p priorità] [-r] [-s] [-t] [-u utente] [--noignorebutton] [--attach winid]

kdesu [Opzioni generiche di KDE] [Opzioni generiche di Qt]

DESCRIZIONE

KDE su è un'interfaccia grafica per KDE del programma su di UNIX®. Permette di eseguire un programma come se si fosse un utente diverso, fornendo la password di tale utente. KDE su è un programma senza particolari privilegi; usa il comando su del sistema.

KDE su ha una funzione aggiuntiva: può ricordarsi, opzionalmente, la password. Se usi questa funzione devi inserire la password una volta sola per ciascun comando.

Questo programma è progettato per essere eseguito dalla riga di comando o dai file .desktop.

Dal momento che kdesu non è più installato in $(kde4-config --prefix)/bin ma in kde4-config --path libexec e non è più quindi nella variabile Path, devi usare $(kde4-config --path libexec)kdesu per eseguire kdesu.

OPZIONI

-c comando
    Specifica il comando da eseguire come root. Deve essere passato come unico argomento. Così se, per esempio, vuoi lanciare un nuovo gestore di file, dovrai inserire alla riga di comando: $(kde4-config --path libexec)kdesu -c Dolphin

-d  Visualizza le informazioni di debug.

-f file
    Questa opzione permette un uso efficiente di KDE su nei file .desktop. Dice a KDE su di esaminare il file specificato da file. Se questo file è scrivibile dall'utente corrente, KDE su esegue il comando con l'utente corrente. Se non è scrivibile, il comando viene eseguito con l'utente utente (valore predefinito impostato a root). file è valutato in questo modo: se file comincia con una /, viene interpretato come un nome di file assoluto. Altrimenti, viene preso come nome di un file di configurazione globale di KDE.

-i nome icona
    Specifica l'icona da utilizzare nella finestra di dialogo della password. Puoi specificarne semplicemente il nome, senza alcuna estensione.

-n  Non memorizzare la password. Disabilita la casella ricorda password nella finestra di dialogo della password.

-p priorità
    Imposta il valore della priorità. La priorità è un numero arbitrario compreso tra 0 e 100, dove 100 significa la priorità massima e 0 la minima. L'impostazione predefinita è 50.

-r  Uitlizza lo scheduling realtime.

-s  Interrompe il demone kdesu, cioè il demone che tiene a memoria le password usate con successo. Questa funzione può essere anche disabilitata usando -n come argomento dell'esecuzione iniziale di KDE su.

-t  Abilita l'output del terminale. Ciò disabilita la memorizzazione della password. È principalmente per scopi di debug; se vuoi lanciare un'applicazione della modalità console, usa piuttosto il comando standard su.

-u  utente
    Anche se l'utilizzo principale di KDE su è quello di eseguire un comando come superutente, puoi fornire qualsiasi nome utente e la password appropriata.

--noignorebutton
    Non mostrare il pulsante Ignora.

--attach  winid
    Rende la finestra di dialogo transitoria per un'applicazione X specificata da winid.

VEDI ANCHE

su(1)

Documentazione per l'utente più dettagliata è disponibile con help:/kdesu (puoi inserire questo URL in Konqueror, o lanciare khelpcenter help:/kdesu).

ESEMPI

Esegue kfmclient come utente jim e mostra l'icona di Konqueror nella finestra della password.

    $(kde4-config --path libexec)kdesu -u jim -i konqueror kfmclient

AUTORI

KDE su è stato scritto da Geert Jansen <jansen@kde.org> e Pietro Iglio <iglio@fub.it>.

AUTHOR
Lauri Watts.